Index: /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.h
===================================================================
--- /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.h	(revision 3478)
+++ /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.h	(revision 3479)
@@ -69,6 +69,61 @@
 };
 
+class PIButtonQuartz : public PIButtonGen
+{
+public:
+    PIButtonQuartz(PIContainerQuartz *par, const char *nom, PIMessage msg = PIMsg_Click, 
+					int sx=10, int sy=10, int px=0, int py=0);
+    virtual	~PIButtonQuartz();
+	virtual void       ActivatePress(bool acp=false);
+	virtual void       SetLabel(string const&);
 
+private:
+	ControlActionUPP _actionProc;
+};
 
+class PICheckBoxQuartz : public PICheckBoxGen
+{
+public:
+    PICheckBoxQuartz(PIContainerQuartz *par, const char *nom, PIMessage msg = PIMsg_Click, 
+					int sx=10, int sy=10, int px=0, int py=0);
+    virtual	~PICheckBoxQuartz();
+	virtual void	SetState(bool acp=false);
+	virtual bool	GetState();
+
+private:
+	ControlActionUPP _actionProc;
+	int _state;
+};
+
+class PIRadioQuartz : public PIWdg
+{
+public:
+    PIRadioQuartz(PIContainerQuartz *par, const char *nom, PIMessage msg = PIMsg_Click, 
+					int sx=10, int sy=10, int px=0, int py=0, int initialValue =0);
+    virtual	~PIRadioQuartz();
+
+private:
+	ControlActionUPP _actionProc;
+	int _state;
+};
+
+class PIRadioGroupQuartz : public PIWdg
+{
+public:
+    PIRadioGroupQuartz(PIContainerQuartz *par, const char *nom, PIMessage msg = PIMsg_Click, 
+					int sx=10, int sy=10, int px=0, int py=0);
+    virtual	~PIRadioGroupQuartz();
+	void AddRadioButton(PIRadioQuartz* piRadio);
+
+private:
+	int _state;
+};
+
+// INTERFACES
+
+typedef PIRadioGroupQuartz PIRadioGroup;
+typedef PIRadioQuartz PIRadio;
+typedef PICheckBoxQuartz PICheckBox;
+typedef PIButtonQuartz PIButton;
 typedef PILabelQuartz PILabel;
 typedef PITextQuartz PIText;
Index: /trunk/SophyaPI/PI/Quartz/piwdgmosx.cpp
===================================================================
--- /trunk/SophyaPI/PI/Quartz/piwdgmosx.cpp	(revision 3478)
+++ /trunk/SophyaPI/PI/Quartz/piwdgmosx.cpp	(revision 3479)
@@ -13,5 +13,5 @@
 :PIWdgGen(par, nom, sx, sy, px, py) 
 {
-    printf ("Create WdgQuartz %s \n",nom);
+ //   printf ("Create WdgQuartz %s \n",nom);
     fflush (stdout);
     title = CFStringCreateWithCString (NULL, nom, kCFStringEncodingMacRoman);
Index: /trunk/SophyaPI/PI/Quartz/piwdgmosx.h
===================================================================
--- /trunk/SophyaPI/PI/Quartz/piwdgmosx.h	(revision 3478)
+++ /trunk/SophyaPI/PI/Quartz/piwdgmosx.h	(revision 3479)
@@ -96,4 +96,6 @@
                                            int k, int km, unsigned long tm);
 
+	ControlRef GetControlRef() {return contH;}
+
 protected:
     Rect	wdgRect;
